Bug 1254085 - cinder quota-show reports the default quota if we specify a non existing uuid
cinder quota-show reports the default quota if we specify a non existing uuid
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
6.0 (Juno)
Unspecified Unspecified
low Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Eric Harney
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 03:02 EDT by Eduard Barrera
Modified: 2016-04-26 23:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 09:10:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduard Barrera 2015-08-17 03:02:32 EDT
Description of problem:

When we want to see the quota of a tenant cinder is reporting the default quota when the parameter is a non-existing uuid.  If the parameter is the tenant name cinder reports the default quotas also thus it is an non existing uuid causing confusion

Version-Release number of selected component (if applicable):
Reported for Havana and reproduced in Juno, probably icehouse is afected too

How reproducible:
always

Steps to Reproduce:

# cinder quota-show  ba0008f1edc741eb9b45722f7d43c250
+-----------+-------+
|  Property | Value |
+-----------+-------+
| gigabytes |  111  |
| snapshots |   11  |
|  volumes  |   11  |
+-----------+-------+

# cinder quota-show  tenantvlan1
+-----------+-------+
|  Property | Value |
+-----------+-------+
| gigabytes |  400  |
| snapshots |   10  |
|  volumes  |   10  |
+-----------+-------+



Actual results:
cinder reports the default quota if we provide a non existing uuid

Expected results:
report uuid not found


Additional info:
The same behaviour is observer with the command #nova quota-show, reporting it as a separate bug
Comment 3 Eric Harney 2015-08-17 10:01:42 EDT
We looked at this issue some time ago (bug 984281) and decided to not fix it, but it is pretty bad usability from the cinder client.  I'll see if there's a way to make this less confusing.

Note You need to log in before you can comment on or make changes to this bug.